diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/mesh-wifi-interface-mac.cc ns-3.44/src/mesh/model/mesh-wifi-interface-mac.cc
--- ns-3.43/src/mesh/model/mesh-wifi-interface-mac.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/mesh-wifi-interface-mac.cc	2025-03-09 16:55:49.643372000 -0700
@@ -142,9 +142,9 @@
     NS_LOG_FUNCTION(this << stream);
     int64_t currentStream = stream + WifiMac::AssignStreams(stream);
     m_coefficient->SetStream(currentStream++);
-    for (auto i = m_plugins.begin(); i < m_plugins.end(); i++)
+    for (auto& plugin : m_plugins)
     {
-        currentStream += (*i)->AssignStreams(currentStream);
+        currentStream += plugin->AssignStreams(currentStream);
     }
     return (currentStream - stream);
 }
@@ -178,7 +178,7 @@
     NS_LOG_FUNCTION(this);
     NS_ASSERT(GetWifiPhy()); // need PHY to set/get channel
     /**
-     * \todo
+     * @todo
      * Correct channel switching is:
      *
      * 1. Interface down, e.g. to stop packets from layer 3
@@ -213,7 +213,7 @@
     // Address 1 is unknown here. Routing plugin is responsible to correctly set it.
     hdr.SetAddr1(Mac48Address());
     // Filter packet through all installed plugins
-    for (auto i = m_plugins.end() - 1; i != m_plugins.begin() - 1; i--)
+    for (auto i = m_plugins.rbegin(); i != m_plugins.rend(); ++i)
     {
         bool drop = !((*i)->UpdateOutcomingFrame(packet, hdr, from, to));
         if (drop)
@@ -247,7 +247,7 @@
 {
     // Filter management frames:
     WifiMacHeader header = hdr;
-    for (auto i = m_plugins.end() - 1; i != m_plugins.begin() - 1; i--)
+    for (auto i = m_plugins.rbegin(); i != m_plugins.rend(); ++i)
     {
         bool drop = !((*i)->UpdateOutcomingFrame(packet, header, Mac48Address(), Mac48Address()));
         if (drop)
@@ -519,7 +519,7 @@
 MeshWifiInterfaceMac::Statistics::Print(std::ostream& os) const
 {
     os << "<Statistics "
-          /// \todo txBeacons
+          /// @todo txBeacons
           "rxBeacons=\""
        << recvBeacons
        << "\" "
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/mesh-wifi-interface-mac.h ns-3.44/src/mesh/model/mesh-wifi-interface-mac.h
--- ns-3.43/src/mesh/model/mesh-wifi-interface-mac.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/mesh-wifi-interface-mac.h	2025-03-09 16:55:49.643372000 -0700
@@ -29,9 +29,9 @@
 class UniformRandomVariable;
 
 /**
- * \ingroup mesh
+ * @ingroup mesh
  *
- * \brief Basic MAC of mesh point Wi-Fi interface. Its function is extendable through plugins
+ * @brief Basic MAC of mesh point Wi-Fi interface. Its function is extendable through plugins
  * mechanism.
  *
  * Now only three output queues are used:
@@ -44,8 +44,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /// C-tor
@@ -58,53 +58,53 @@
     void SetLinkUpCallback(Callback<void> linkUp) override;
     bool CanForwardPacketsTo(Mac48Address to) const override;
 
-    /// \name Each mesh point interface must know the mesh point address
+    /// @name Each mesh point interface must know the mesh point address
     ///@{
     /**
      * Set the mesh point address
-     * \param addr the mesh point address
+     * @param addr the mesh point address
      */
     void SetMeshPointAddress(Mac48Address addr);
     /**
      * Get the mesh point address
-     * \return The mesh point address
+     * @return The mesh point address
      */
     Mac48Address GetMeshPointAddress() const;
     ///@}
 
-    /// \name Beacons
+    /// @name Beacons
     ///@{
     /**
      * Set maximum initial random delay before first beacon
-     * \param interval maximum random interval
+     * @param interval maximum random interval
      */
     void SetRandomStartDelay(Time interval);
     /**
      * Set interval between two successive beacons
-     * \param interval beacon interval
+     * @param interval beacon interval
      */
     void SetBeaconInterval(Time interval);
     /**
      * Get beacon interval.
-     * \return interval between two beacons
+     * @return interval between two beacons
      */
     Time GetBeaconInterval() const;
     /**
-     * \brief Next beacon frame time
-     * \return TBTT time
+     * @brief Next beacon frame time
+     * @return TBTT time
      *
      * This is supposed to be used by any entity managing beacon collision avoidance (e.g. Peer
      * management protocol in 802.11s)
      */
     Time GetTbtt() const;
     /**
-     * \brief Shift TBTT.
-     * \param shift Shift
+     * @brief Shift TBTT.
+     * @param shift Shift
      *
      * This is supposed to be used by any entity managing beacon collision avoidance (e.g. Peer
      * management protocol in 802.11s)
      *
-     * \attention User of ShiftTbtt () must take care to not shift it to the past.
+     * @attention User of ShiftTbtt () must take care to not shift it to the past.
      */
     void ShiftTbtt(Time shift);
     ///@}
@@ -112,9 +112,9 @@
     /**
      * Install plugin.
      *
-     * \param plugin Plugin
+     * @param plugin Plugin
      *
-     * \todo return unique ID to allow user to unregister plugins
+     * @todo return unique ID to allow user to unregister plugins
      */
     void InstallPlugin(Ptr<MeshWifiInterfaceMacPlugin> plugin);
 
@@ -128,55 +128,55 @@
 
     /**
      * Current channel Id
-     * \returns the frequency channel
+     * @returns the frequency channel
      */
     uint16_t GetFrequencyChannel() const;
     /**
      * Switch frequency channel.
      *
-     * \param new_id New ID.
+     * @param new_id New ID.
      */
     void SwitchFrequencyChannel(uint16_t new_id);
 
     /**
      * To be used by plugins sending management frames.
      *
-     * \param frame the management frame
-     * \param hdr the wifi MAC header
+     * @param frame the management frame
+     * @param hdr the wifi MAC header
      */
     void SendManagementFrame(Ptr<Packet> frame, const WifiMacHeader& hdr);
     /**
      * Check supported rates.
      *
-     * \param rates Rates.
-     * \return true if rates are supported
+     * @param rates Rates.
+     * @return true if rates are supported
      */
     bool CheckSupportedRates(AllSupportedRates rates) const;
 
     /**
      * Get supported rates.
-     * \return list of supported bitrates
+     * @return list of supported bitrates
      */
     AllSupportedRates GetSupportedRates() const;
 
-    /// \name Metric Calculation routines:
+    /// @name Metric Calculation routines:
     ///@{
     /**
      * Set the link metric callback
-     * \param cb the callback
+     * @param cb the callback
      */
     void SetLinkMetricCallback(Callback<uint32_t, Mac48Address, Ptr<MeshWifiInterfaceMac>> cb);
     /**
      * Get the link metric
-     * \param peerAddress the peer address
-     * \return The metric
+     * @param peerAddress the peer address
+     * @return The metric
      */
     uint32_t GetLinkMetric(Mac48Address peerAddress);
     ///@}
 
     /**
-     * \brief Report statistics
-     * \param os the output stream
+     * @brief Report statistics
+     * @param os the output stream
      */
     void Report(std::ostream& os) const;
 
@@ -188,12 +188,12 @@
     /**
      * Enable/disable beacons
      *
-     * \param enable enable / disable flag
+     * @param enable enable / disable flag
      */
     void SetBeaconGeneration(bool enable);
     /**
-     * \param cwMin the minimum contention window size
-     * \param cwMax the maximum contention window size
+     * @param cwMin the minimum contention window size
+     * @param cwMax the maximum contention window size
      *
      * This method is called to set the minimum and the maximum
      * contention window size.
@@ -205,8 +205,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream) override;
 
@@ -216,8 +216,8 @@
     /**
      * Frame receive handler
      *
-     * \param mpdu the received MPDU
-     * \param linkId the ID of the link the frame was received over
+     * @param mpdu the received MPDU
+     * @param linkId the ID of the link the frame was received over
      */
     void Receive(Ptr<const WifiMpdu> mpdu, uint8_t linkId) override;
     /**
@@ -231,7 +231,7 @@
     /**
      * Get current beaconing status
      *
-     * \returns true if beacon active
+     * @returns true if beacon active
      */
     bool GetBeaconGeneration() const;
     /**
@@ -245,7 +245,7 @@
     void DoInitialize() override;
     void Enqueue(Ptr<WifiMpdu> mpdu, Mac48Address to, Mac48Address from) override;
 
-    /// \name Mesh timing intervals
+    /// @name Mesh timing intervals
     ///@{
     /// Whether beaconing is enabled
     bool m_beaconEnable;
@@ -278,7 +278,7 @@
         /**
          * Print statistics.
          *
-         * \param os Output stream
+         * @param os Output stream
          */
         void Print(std::ostream& os) const;
         /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/mesh-wifi-interface-mac-plugin.h ns-3.44/src/mesh/model/mesh-wifi-interface-mac-plugin.h
--- ns-3.43/src/mesh/model/mesh-wifi-interface-mac-plugin.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/mesh-wifi-interface-mac-plugin.h	2025-03-09 16:55:49.643372000 -0700
@@ -21,50 +21,53 @@
 class MeshWifiInterfaceMac;
 
 /**
- * \ingroup mesh
+ * @ingroup mesh
  *
- * \brief Common interface for mesh point interface MAC plugins
+ * @brief Common interface for mesh point interface MAC plugins
  *
- * \todo plugins description
+ * @todo plugins description
  */
 class MeshWifiInterfaceMacPlugin : public SimpleRefCount<MeshWifiInterfaceMacPlugin>
 {
   public:
     /// This is for subclasses
-    virtual ~MeshWifiInterfaceMacPlugin(){};
+    virtual ~MeshWifiInterfaceMacPlugin()
+    {
+    }
+
     /**
      * Each plugin must be installed on an interface to work
      *
-     * \param parent the parent object
+     * @param parent the parent object
      */
     virtual void SetParent(Ptr<MeshWifiInterfaceMac> parent) = 0;
     /**
-     * \brief Process received frame
-     * \param packet
-     * \param header
+     * @brief Process received frame
+     * @param packet
+     * @param header
      *
-     * \return false if (and only if) frame should be dropped
-     * \todo define when MAC call this
+     * @return false if (and only if) frame should be dropped
+     * @todo define when MAC call this
      */
     virtual bool Receive(Ptr<Packet> packet, const WifiMacHeader& header) = 0;
     /**
-     * \brief Update frame before it will be forwarded down
-     * \param packet
-     * \param header
-     * \param from
-     * \param to
-     * \return false if (and only if) frame should be dropped
-     * \todo define when MAC call this, preconditions & postconditions
+     * @brief Update frame before it will be forwarded down
+     * @param packet
+     * @param header
+     * @param from
+     * @param to
+     * @return false if (and only if) frame should be dropped
+     * @todo define when MAC call this, preconditions & postconditions
      */
     virtual bool UpdateOutcomingFrame(Ptr<Packet> packet,
                                       WifiMacHeader& header,
                                       Mac48Address from,
                                       Mac48Address to) = 0;
     /**
-     * \brief Update beacon before it will be formed and sent
-     * \param beacon
+     * @brief Update beacon before it will be formed and sent
+     * @param beacon
      *
-     * \todo define when MAC call this
+     * @todo define when MAC call this
      */
     virtual void UpdateBeacon(MeshWifiBeacon& beacon) const = 0;
     /**
@@ -72,8 +75,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     virtual int64_t AssignStreams(int64_t stream) = 0;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/dot11s/dot11s-test-suite.cc ns-3.44/src/mesh/test/dot11s/dot11s-test-suite.cc
--- ns-3.43/src/mesh/test/dot11s/dot11s-test-suite.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/test/dot11s/dot11s-test-suite.cc	2025-03-09 16:55:49.643372000 -0700
@@ -18,14 +18,14 @@
 using namespace dot11s;
 
 /**
- * \ingroup mesh-test
- * \defgroup dot11s-test dot11s sub-module tests
+ * @ingroup mesh-test
+ * @defgroup dot11s-test dot11s sub-module tests
  */
 
 /**
- * \ingroup dot11s-test
+ * @ingroup dot11s-test
  *
- * \brief Built-in self test for MeshHeader
+ * @brief Built-in self test for MeshHeader
  */
 struct MeshHeaderTest : public TestCase
 {
@@ -82,9 +82,9 @@
 }
 
 /**
- * \ingroup mesh-test
+ * @ingroup mesh-test
  *
- * \brief Unit test for HwmpRtable
+ * @brief Unit test for HwmpRtable
  */
 class HwmpRtableTest : public TestCase
 {
@@ -263,9 +263,9 @@
 }
 
 /**
- * \ingroup mesh-test
+ * @ingroup mesh-test
  *
- * \brief Dot11s Test Suite
+ * @brief Dot11s Test Suite
  */
 class Dot11sTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/dot11s/hwmp-proactive-regression.h ns-3.44/src/mesh/test/dot11s/hwmp-proactive-regression.h
--- ns-3.43/src/mesh/test/dot11s/hwmp-proactive-regression.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mesh/test/dot11s/hwmp-proactive-regression.h	2025-03-09 16:55:49.643372000 -0700
@@ -15,12 +15,12 @@
 using namespace ns3;
 
 /**
- * \ingroup dot11s-test
+ * @ingroup dot11s-test
  *
- * \brief There are 5 stations set into a row, the center station is root.
+ * @brief There are 5 stations set into a row, the center station is root.
  * Regression test indicates that traffic goes from the first to the
  * last stations without reactive route discovery procedure
- * \verbatim
+ * @verbatim
  *          Src                Root                 Dst
  * (node ID) 0         1         2         3         4
  * (MAC)   00:01     00:02     00:03     00:04     00:05
@@ -43,7 +43,7 @@
  *           |         |         |         |<--------|          DATA
  *                                             ^
  *               Further data is forwarded by proactive path
- * \endverbatim
+ * @endverbatim
  *
  */
 class HwmpProactiveRegressionTest : public TestCase
@@ -57,7 +57,7 @@
     void CheckResults();
 
   private:
-    /// \internal It is important to have pointers here
+    /// @internal It is important to have pointers here
     NodeContainer* m_nodes;
     /// Simulation time
     Time m_time;
@@ -82,25 +82,25 @@
 
     /**
      * Send data
-     * \param socket the sending socket
+     * @param socket the sending socket
      */
     void SendData(Ptr<Socket> socket);
 
     /**
-     * \brief Handle a packet reception.
+     * @brief Handle a packet reception.
      *
      * This function is called by lower layers.
      *
-     * \param socket the socket the packet was received to.
+     * @param socket the socket the packet was received to.
      */
     void HandleReadServer(Ptr<Socket> socket);
 
     /**
-     * \brief Handle a packet reception.
+     * @brief Handle a packet reception.
      *
      * This function is called by lower layers.
      *
-     * \param socket the socket the packet was received to.
+     * @param socket the socket the packet was received to.
      */
     void HandleReadClient(Ptr<Socket> socket);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/dot11s/hwmp-reactive-regression.cc ns-3.44/src/mesh/test/dot11s/hwmp-reactive-regression.cc
--- ns-3.43/src/mesh/test/dot11s/hwmp-reactive-regression.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mesh/test/dot11s/hwmp-reactive-regression.cc	2025-03-09 16:55:49.647372000 -0700
@@ -74,7 +74,7 @@
     mobility.SetPositionAllocator(positionAlloc);
     mobility.SetMobilityModel("ns3::ConstantPositionMobilityModel");
     mobility.Install(*m_nodes);
-    Simulator::Schedule(Seconds(5.0), &HwmpReactiveRegressionTest::ResetPosition, this);
+    Simulator::Schedule(Seconds(5), &HwmpReactiveRegressionTest::ResetPosition, this);
 }
 
 void
@@ -88,7 +88,7 @@
     m_clientSocket->SetRecvCallback(
         MakeCallback(&HwmpReactiveRegressionTest::HandleReadClient, this));
     Simulator::ScheduleWithContext(m_clientSocket->GetNode()->GetId(),
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &HwmpReactiveRegressionTest::SendData,
                                    this,
                                    m_clientSocket);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/dot11s/hwmp-reactive-regression.h ns-3.44/src/mesh/test/dot11s/hwmp-reactive-regression.h
--- ns-3.43/src/mesh/test/dot11s/hwmp-reactive-regression.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mesh/test/dot11s/hwmp-reactive-regression.h	2025-03-09 16:55:49.647372000 -0700
@@ -14,13 +14,13 @@
 using namespace ns3;
 
 /**
- * \ingroup dot11s-test
+ * @ingroup dot11s-test
  *
- * \brief test for multihop path establishing and path error
+ * @brief test for multihop path establishing and path error
  * procedures
  * Initiate scenario with 6 stations. Procedure of opening peer link
  * is the following: (PMP routines are not shown)
- * \verbatim
+ * @verbatim
  *      0    1    2    3    4    5
  *      |    |    |    |    |<---|--->  ARP request (2.002s)
  *      |....|....|....|....|....|      ARP requests (continued)
@@ -54,7 +54,7 @@
  *      |    |    |         |<---|--->  PREQ
  *      |    |    |     <---|--->|      PREQ
  *      |....|....|.........|....|      Repeated attempts of PREQ
- * \endverbatim
+ * @endverbatim
  */
 
 class HwmpReactiveRegressionTest : public TestCase
@@ -68,7 +68,7 @@
     void CheckResults();
 
   private:
-    /// \internal It is important to have pointers here
+    /// @internal It is important to have pointers here
     NodeContainer* m_nodes;
     /// Simulation time
     Time m_time;
@@ -93,25 +93,25 @@
 
     /**
      * Send data
-     * \param socket the sending socket
+     * @param socket the sending socket
      */
     void SendData(Ptr<Socket> socket);
 
     /**
-     * \brief Handle a packet reception.
+     * @brief Handle a packet reception.
      *
      * This function is called by lower layers.
      *
-     * \param socket the socket the packet was received to.
+     * @param socket the socket the packet was received to.
      */
     void HandleReadServer(Ptr<Socket> socket);
 
     /**
-     * \brief Handle a packet reception.
+     * @brief Handle a packet reception.
      *
      * This function is called by lower layers.
      *
-     * \param socket the socket the packet was received to.
+     * @param socket the socket the packet was received to.
      */
     void HandleReadClient(Ptr<Socket> socket);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/dot11s/hwmp-simplest-regression.cc ns-3.44/src/mesh/test/dot11s/hwmp-simplest-regression.cc
--- ns-3.43/src/mesh/test/dot11s/hwmp-simplest-regression.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mesh/test/dot11s/hwmp-simplest-regression.cc	2025-03-09 16:55:49.651372200 -0700
@@ -82,7 +82,7 @@
                                   StringValue("RowFirst"));
     mobility.SetMobilityModel("ns3::ConstantPositionMobilityModel");
     mobility.Install(*m_nodes);
-    Simulator::Schedule(Seconds(10.0), &HwmpSimplestRegressionTest::ResetPosition, this);
+    Simulator::Schedule(Seconds(10), &HwmpSimplestRegressionTest::ResetPosition, this);
 }
 
 void
@@ -108,7 +108,7 @@
     m_clientSocket->SetRecvCallback(
         MakeCallback(&HwmpSimplestRegressionTest::HandleReadClient, this));
     Simulator::ScheduleWithContext(m_clientSocket->GetNode()->GetId(),
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &HwmpSimplestRegressionTest::SendData,
                                    this,
                                    m_clientSocket);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/dot11s/hwmp-simplest-regression.h ns-3.44/src/mesh/test/dot11s/hwmp-simplest-regression.h
--- ns-3.43/src/mesh/test/dot11s/hwmp-simplest-regression.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mesh/test/dot11s/hwmp-simplest-regression.h	2025-03-09 16:55:49.651372200 -0700
@@ -15,12 +15,12 @@
 using namespace ns3;
 
 /**
- * \ingroup dot11s-test
+ * @ingroup dot11s-test
  *
- * \brief Peering Management & HWM Protocol regression test
+ * @brief Peering Management & HWM Protocol regression test
  * Initiate scenario with 2 stations. Procedure of opening peer link
  * is the following:
- * \verbatim
+ * @verbatim
  *           server       client
  * <-----------|----------->   Broadcast frame
  *             |----------->|  Unicast frame
@@ -52,7 +52,7 @@
  *             |<-----------|             Data
  *             |----------->|             Data
  *             |............|
- * \endverbatim
+ * @endverbatim
  * At 10 seconds stations become unreachable, so UDP client tries to
  * close peer link due to TX-fail, and UDP server tries to close peer link
  * due to beacon loss
@@ -68,7 +68,7 @@
     void CheckResults();
 
   private:
-    /// \internal It is important to have pointers here
+    /// @internal It is important to have pointers here
     NodeContainer* m_nodes;
     /// Simulation time
     Time m_time;
@@ -93,25 +93,25 @@
 
     /**
      * Send data
-     * \param socket the sending socket
+     * @param socket the sending socket
      */
     void SendData(Ptr<Socket> socket);
 
     /**
-     * \brief Handle a packet reception.
+     * @brief Handle a packet reception.
      *
      * This function is called by lower layers.
      *
-     * \param socket the socket the packet was received to.
+     * @param socket the socket the packet was received to.
      */
     void HandleReadServer(Ptr<Socket> socket);
 
     /**
-     * \brief Handle a packet reception.
+     * @brief Handle a packet reception.
      *
      * This function is called by lower layers.
      *
-     * \param socket the socket the packet was received to.
+     * @param socket the socket the packet was received to.
      */
     void HandleReadClient(Ptr<Socket> socket);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/dot11s/hwmp-target-flags-regression.cc ns-3.44/src/mesh/test/dot11s/hwmp-target-flags-regression.cc
--- ns-3.43/src/mesh/test/dot11s/hwmp-target-flags-regression.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mesh/test/dot11s/hwmp-target-flags-regression.cc	2025-03-09 16:55:49.651372200 -0700
@@ -121,7 +121,7 @@
     m_clientSocketB->Connect(InetSocketAddress(m_interfaces.GetAddress(0), 9));
     m_clientSocketB->SetRecvCallback(MakeCallback(&HwmpDoRfRegressionTest::HandleReadClient, this));
     Simulator::ScheduleWithContext(m_clientSocketB->GetNode()->GetId(),
-                                   Seconds(2.0),
+                                   Seconds(2),
                                    &HwmpDoRfRegressionTest::SendDataB,
                                    this,
                                    m_clientSocketB);
@@ -193,7 +193,7 @@
         socket->Send(Create<Packet>(100));
         m_sentPktsCounterA++;
         Simulator::ScheduleWithContext(socket->GetNode()->GetId(),
-                                       Seconds(1.0),
+                                       Seconds(1),
                                        &HwmpDoRfRegressionTest::SendDataA,
                                        this,
                                        socket);
@@ -208,7 +208,7 @@
         socket->Send(Create<Packet>(100));
         m_sentPktsCounterB++;
         Simulator::ScheduleWithContext(socket->GetNode()->GetId(),
-                                       Seconds(1.0),
+                                       Seconds(1),
                                        &HwmpDoRfRegressionTest::SendDataB,
                                        this,
                                        socket);
@@ -223,7 +223,7 @@
         socket->Send(Create<Packet>(100));
         m_sentPktsCounterC++;
         Simulator::ScheduleWithContext(socket->GetNode()->GetId(),
-                                       Seconds(1.0),
+                                       Seconds(1),
                                        &HwmpDoRfRegressionTest::SendDataC,
                                        this,
                                        socket);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/dot11s/hwmp-target-flags-regression.h ns-3.44/src/mesh/test/dot11s/hwmp-target-flags-regression.h
--- ns-3.43/src/mesh/test/dot11s/hwmp-target-flags-regression.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mesh/test/dot11s/hwmp-target-flags-regression.h	2025-03-09 16:55:49.651372200 -0700
@@ -15,9 +15,9 @@
 using namespace ns3;
 
 /**
- * \ingroup dot11s-test
+ * @ingroup dot11s-test
  *
- * \brief This is a test for intermediate reply and saving routing
+ * @brief This is a test for intermediate reply and saving routing
  * information about neighbour. 4 stations and 3 UDP ping streams are initiated.
  */
 // clang-format off
@@ -69,7 +69,7 @@
     void CheckResults();
 
   private:
-    /// \internal It is important to have pointers here
+    /// @internal It is important to have pointers here
     NodeContainer* m_nodes;
     /// Simulation time
     Time m_time;
@@ -104,37 +104,37 @@
 
     /**
      * Send data A
-     * \param socket the sending socket
+     * @param socket the sending socket
      */
     void SendDataA(Ptr<Socket> socket);
 
     /**
      * Send data B
-     * \param socket the sending socket
+     * @param socket the sending socket
      */
     void SendDataB(Ptr<Socket> socket);
 
     /**
      * Send data C
-     * \param socket the sending socket
+     * @param socket the sending socket
      */
     void SendDataC(Ptr<Socket> socket);
 
     /**
-     * \brief Handle a packet reception.
+     * @brief Handle a packet reception.
      *
      * This function is called by lower layers.
      *
-     * \param socket the socket the packet was received to.
+     * @param socket the socket the packet was received to.
      */
     void HandleReadServer(Ptr<Socket> socket);
 
     /**
-     * \brief Handle a packet reception.
+     * @brief Handle a packet reception.
      *
      * This function is called by lower layers.
      *
-     * \param socket the socket the packet was received to.
+     * @param socket the socket the packet was received to.
      */
     void HandleReadClient(Ptr<Socket> socket);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/dot11s/pmp-regression.h ns-3.44/src/mesh/test/dot11s/pmp-regression.h
--- ns-3.43/src/mesh/test/dot11s/pmp-regression.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mesh/test/dot11s/pmp-regression.h	2025-03-09 16:55:49.651372200 -0700
@@ -15,13 +15,13 @@
 using namespace ns3;
 
 /**
- * \ingroup dot11s-test
+ * @ingroup dot11s-test
  *
- * \brief Peering Management Protocol regression test
+ * @brief Peering Management Protocol regression test
  *
  * Initiate scenario with 2 stations. Procedure of opening peer link
  * is the following:
- * \verbatim
+ * @verbatim
  * |----------->|  Beacon
  * |----------->|  Peer Link Open frame
  * |<-----------|  Peer Link Confirm frame
@@ -29,7 +29,7 @@
  * |----------->|  Peer Link Confirm frame
  * |............|
  * |<---------->|  Other beacons
- * \endverbatim
+ * @endverbatim
  */
 class PeerManagementProtocolRegressionTest : public TestCase
 {
@@ -38,7 +38,7 @@
     ~PeerManagementProtocolRegressionTest() override;
 
   private:
-    /// \internal It is important to have pointers here
+    /// @internal It is important to have pointers here
     NodeContainer* m_nodes;
     /// Simulation time
     Time m_time;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/dot11s/regression.cc ns-3.44/src/mesh/test/dot11s/regression.cc
--- ns-3.43/src/mesh/test/dot11s/regression.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mesh/test/dot11s/regression.cc	2025-03-09 16:55:49.651372200 -0700
@@ -17,9 +17,9 @@
 using namespace ns3;
 
 /**
- * \ingroup dot11s-test
+ * @ingroup dot11s-test
  *
- * \brief Dot11s Regression Suite
+ * @brief Dot11s Regression Suite
  */
 class Dot11sRegressionSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/test/flame/flame-regression.cc ns-3.44/src/mesh/test/flame/flame-regression.cc
--- ns-3.43/src/mesh/test/flame/flame-regression.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mesh/test/flame/flame-regression.cc	2025-03-09 16:55:49.651372200 -0700
@@ -134,7 +134,7 @@
     m_clientSocket->Connect(InetSocketAddress(m_interfaces.GetAddress(0), 9));
     m_clientSocket->SetRecvCallback(MakeCallback(&FlameRegressionTest::HandleReadClient, this));
     Simulator::ScheduleWithContext(m_clientSocket->GetNode()->GetId(),
-                                   Seconds(1.0),
+                                   Seconds(1),
                                    &FlameRegressionTest::SendData,
                                    this,
                                    m_clientSocket);
